package linguistics

import (
	"github.com/stretchr/testify/require"
	"testing"
)

func TestGoVADERSentimentProvider_Score(t *testing.T) {
	sp, err := NewGoVADERSentimentProvider()
	require.NoError(t, err)
	pos, err := sp.Score("I love this wonderful product!", "en")
	require.NoError(t, err)
	require.Greater(t, pos, 0.0)
	neg, err := sp.Score("This is the worst thing ever. I hate it.", "en")
	require.NoError(t, err)
	require.Less(t, neg, 0.0)
}
